# $Revision: 1.34 $, $Date: 2008-02-23 13:52:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Cache
%define		pnam	Cache
Summary:	Cache::Cache - a generic interface for creating persistent data stores
Summary(pl.UTF-8):	Cache::Cache - ogólny interfejs do trwałego przechowywania danych
Name:		perl-Cache-Cache
Version:	1.05
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	09e4d37979c8f8ce2518e1d1ccd10d99
URL:		http://perl-cache.sourceforge.net/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Digest-SHA1 >= 2.01
BuildRequires:	perl-Error >= 0.15
BuildRequires:	perl(File::Spec) >= 0.82
# optional, broken in 5.10.0
#BuildRequires:	perl-IPC-ShareLite >= 0.08
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(IPC::ShareLite)'

%description
The Cache modules are designed to assist a developer in persisting
data for a specified period of time. Often these modules are used
in web applications to store data locally to save repeated and
redundant expensive calls to remote machines or databases. People
have also been known to use Cache::Cache for its straightforward
interface in sharing data between runs of an application or
invocations of a CGI-style script or simply as an easy to use
abstraction of the filesystem or shared memory.

%description -l pl.UTF-8
Moduły Cache mają na celu pomóc programiście w utrzymywaniu danych
przez określony czas. Te moduły są przeważnie używane w aplikacjach
WWW do zapisywania danych lokalnie w celu uniknięcia powtarzających
się i niepotrzebnych odwołań do zewnętrznych maszyn lub baz danych.
Cache::Cache bywa używany ze względu na swój prosty interfejs do
dzielenia danych pomiędzy uruchomieniami aplikacji lub wywołaniami
skryptu CGI, albo po prostu jako łatwa w użyciu abstrakcja systemu
plików lub pamięci dzielonej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING CREDITS DISCLAIMER README STYLE
%{perl_vendorlib}/Cache/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Cache-Cache.spec,v $
Revision 1.34  2008-02-23 13:52:05  radek
- release 2: disable strict IPC::ShareLite req

Revision 1.33  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.31  2006/07/09 13:56:11  agaran
- up to 1.05, rel1, builds here

Revision 1.30  2005/07/27 22:10:17  radek
- version 1.04

Revision 1.29  2004/11/03 21:38:37  paladine
- formatting

Revision 1.28  2004/11/01 21:29:05  adamg
- updated to 1.03

Revision 1.27  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.26  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.25  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.24  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.23  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.22  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.21  2004/04/18 16:56:33  ankry
- license fixes and unification

Revision 1.20  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.19  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.18  2003/06/30 21:38:57  migo
- up to 1.02

Revision 1.17  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.14  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/24 20:32:00  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:27:41  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/09/19 09:56:23  radek
- made BRs conditional
- removed empty TODO
- added URL
- release 4

Revision 1.10  2002/09/16 08:15:08  ankry
- added tests onm bcond
- remove %{perl_sitelib}/Cache dir (moved to perl)
- release 3

Revision 1.9  2002/08/18 11:56:15  blues
license fix

Revision 1.8  2002/07/20 07:12:59  qboosh
- completed BRs
- BuildArch: noarch
- release 2

Revision 1.7  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.6  2002/07/11 07:57:10  depesz
- new version; should work; STBR

Revision 1.5  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/04/25 10:00:25  ankry
- added Date in header

Revision 1.2  2002/03/04 13:40:48  qboosh
- pl description, completed License

Revision 1.1  2002/03/04 06:39:34  depesz
new module
